# Uses of Enum
com.databricks.jdbc.model.telemetry.enums.ExecutionResultFormat

Packages that use ExecutionResultFormat
Package
Description
com.databricks.jdbc.model.telemetry
com.databricks.jdbc.model.telemetry.enums

## Uses of ExecutionResultFormat in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry that return ExecutionResultFormat
Modifier and Type
Method
Description
`ExecutionResultFormat`
StatementTelemetryDetails.`getExecutionResultFormat()`
Methods in com.databricks.jdbc.model.telemetry with parameters of type ExecutionResultFormat
Modifier and Type
Method
Description
`SqlExecutionEvent`
SqlExecutionEvent.`setExecutionResultFormat(ExecutionResultFormat executionResultFormat)`
`StatementTelemetryDetails`
StatementTelemetryDetails.`setExecutionResultFormat(ExecutionResultFormat executionResultFormat)`

## Uses of ExecutionResultFormat in com.databricks.jdbc.model.telemetry.enums

Subclasses with type arguments of type ExecutionResultFormat in com.databricks.jdbc.model.telemetry.enums
Modifier and Type
Class
Description
`enum`
`ExecutionResultFormat`
Methods in com.databricks.jdbc.model.telemetry.enums that return ExecutionResultFormat
Modifier and Type
Method
Description
`static ExecutionResultFormat`
ExecutionResultFormat.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExecutionResultFormat[]`
ExecutionResultFormat.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.